! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
! 
! Sparse Jacobian Data Structures File
! 
! Generated by KPP-2.5.0 symbolic chemistry Kinetics PreProcessor
!       (https:/github.com/KineticPreProcessor/KPP
! KPP is distributed under GPL, the general public licence
!       (http://www.gnu.org/copyleft/gpl.html)
! (C) 1995-1997, V. Damian & A. Sandu, CGRER, Univ. Iowa
! (C) 1997-2005, A. Sandu, Michigan Tech, Virginia Tech
!     With important contributions from:
!        M. Damian,   Villanova University, USA
!        R. Sander,   Max-Planck Institute for Chemistry, Mainz, Germany
!        M. Long,     Harvard University, USA
!        H. Lin,      Harvard University, USA
!        R. Yantosca, Harvard University, USA
! 
! File                 : gckpp_JacobianSP.F90
! Equation file        : gckpp.kpp
! Output root filename : gckpp
! 
! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~



MODULE gckpp_JacobianSP

  PUBLIC
  SAVE


! Sparse Jacobian Data


  INTEGER, PARAMETER, DIMENSION(161) :: LU_IROW = (/ &
       1,  2,  2,  2,  2,  2,  2,  2,  2,  2,  2,  2, & ! index 1 - 12
       2,  2,  2,  2,  2,  2,  2,  3,  3,  4,  4,  4, & ! index 13 - 24
       4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  5, & ! index 25 - 36
       5,  5,  6,  6,  6,  6,  7,  7,  8,  8,  9,  9, & ! index 37 - 48
      10, 10, 11, 11, 12, 12, 13, 13, 14, 14, 15, 15, & ! index 49 - 60
      16, 16, 17, 17, 18, 18, 19, 19, 19, 19, 20, 20, & ! index 61 - 72
      20, 20, 21, 21, 22, 22, 22, 22, 23, 23, 24, 24, & ! index 73 - 84
      24, 24, 25, 25, 26, 26, 26, 26, 27, 27, 27, 27, & ! index 85 - 96
      27, 27, 27, 27, 27, 28, 28, 28, 28, 28, 28, 28, & ! index 97 - 108
      28, 28, 28, 28, 28, 28, 28, 28, 28, 28, 28, 28, & ! index 109 - 120
      28, 28, 28, 28, 29, 29, 29, 29, 29, 29, 29, 29, & ! index 121 - 132
      29, 29, 30, 30, 30, 30, 30, 30, 30, 30, 30, 30, & ! index 133 - 144
      30, 30, 30, 30, 31, 31, 31, 31, 31, 31, 32, 32, & ! index 145 - 156
      32, 32, 32, 32, 32 /) ! index up to 161

  INTEGER, PARAMETER, DIMENSION(161) :: LU_ICOL = (/ &
       1,  2,  8,  9, 10, 11, 12, 13, 14, 15, 16, 17, & ! index 1 - 12
      18, 20, 21, 23, 25, 26, 31,  3, 30,  4, 13, 14, & ! index 13 - 24
      18, 20, 21, 23, 25, 26, 27, 28, 29, 31, 32,  5, & ! index 25 - 36
      29, 30,  6, 26, 30, 31,  7, 30,  8, 27,  9, 27, & ! index 37 - 48
      10, 27, 11, 29, 12, 29, 13, 32, 14, 32, 15, 29, & ! index 49 - 60
      16, 32, 17, 27, 18, 32, 15, 19, 21, 29, 19, 20, & ! index 61 - 72
      21, 29, 21, 29, 16, 22, 23, 32, 23, 32, 17, 24, & ! index 73 - 84
      25, 27, 25, 27, 24, 25, 26, 27,  8,  9, 10, 17, & ! index 85 - 96
      24, 25, 26, 27, 30,  1,  8,  9, 10, 11, 12, 13, & ! index 97 - 108
      14, 15, 16, 17, 18, 20, 21, 23, 25, 26, 27, 28, & ! index 109 - 120
      29, 30, 31, 32, 11, 12, 15, 19, 21, 26, 27, 29, & ! index 121 - 132
      30, 31, 13, 14, 18, 20, 21, 23, 25, 26, 27, 28, & ! index 133 - 144
      29, 30, 31, 32, 22, 23, 29, 30, 31, 32, 16, 18, & ! index 145 - 156
      22, 23, 30, 31, 32 /) ! index up to 161

  INTEGER, PARAMETER, DIMENSION(33) :: LU_CROW = (/ &
       1,  2, 20, 22, 36, 39, 43, 45, 47, 49, 51, 53, & ! index 1 - 12
      55, 57, 59, 61, 63, 65, 67, 71, 75, 77, 81, 83, & ! index 13 - 24
      87, 89, 93,102,125,135,149,155,162 /) ! index up to 33

  INTEGER, PARAMETER, DIMENSION(33) :: LU_DIAG = (/ &
       1,  2, 20, 22, 36, 39, 43, 45, 47, 49, 51, 53, & ! index 1 - 12
      55, 57, 59, 61, 63, 65, 68, 72, 75, 78, 81, 84, & ! index 13 - 24
      87, 91,100,120,132,146,153,161,162 /) ! index up to 33


END MODULE gckpp_JacobianSP

