! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
! 
! Utility Data Module File
! 
! Generated by KPP-2.5.0 symbolic chemistry Kinetics PreProcessor
!       (https:/github.com/KineticPreProcessor/KPP
! KPP is distributed under GPL, the general public licence
!       (http://www.gnu.org/copyleft/gpl.html)
! (C) 1995-1997, V. Damian & A. Sandu, CGRER, Univ. Iowa
! (C) 1997-2005, A. Sandu, Michigan Tech, Virginia Tech
!     With important contributions from:
!        M. Damian,   Villanova University, USA
!        R. Sander,   Max-Planck Institute for Chemistry, Mainz, Germany
!        M. Long,     Harvard University, USA
!        H. Lin,      Harvard University, USA
!        R. Yantosca, Harvard University, USA
! 
! File                 : gckpp_Monitor.F90
! Equation file        : gckpp.kpp
! Output root filename : gckpp
! 
! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~



MODULE gckpp_Monitor


  CHARACTER(LEN=32), PARAMETER, DIMENSION(43) :: SPC_NAMES = (/ &
     'HgCl2                           ','Hg2ClP                          ','PHg2                            ', & ! index 1 - 3
     'PHg0                            ','PHg2Br                          ','PHg2OH                          ', & ! index 4 - 6
     'PHg2Cl                          ','HgClClO                         ','HgClBrO                         ', & ! index 7 - 9
     'HgClBr                          ','HgOHClO                         ','HgOHBrO                         ', & ! index 10 - 12
     'HgBrClO                         ','HgBrBrO                         ','HgOHNO2                         ', & ! index 13 - 15
     'HgBrNO2                         ','HgClNO2                         ','HgBr2                           ', & ! index 16 - 18
     'HgOHO                           ','HgOHOH                          ','HgOHHO2                         ', & ! index 19 - 21
     'HgBrO                           ','HgBrHO2                         ','HgClO                           ', & ! index 22 - 24
     'HgClHO2                         ','HgClOH                          ','HgCl                            ', & ! index 25 - 27
     'Hg2ORGP                         ','HgOH                            ','Hg0                             ', & ! index 28 - 30
     'HgBrOH                          ','HgBr                            ','Br                              ', & ! index 31 - 33
     'Cl                              ','OH                              ','NO2                             ', & ! index 34 - 36
     'NO                              ','O3                              ','HO2                             ', & ! index 37 - 39
     'BrO                             ','ClO                             ','CO                              ', & ! index 40 - 42
     'CH4                             ' /) ! index up to 43

  INTEGER, DIMENSION(1) :: LOOKAT
  INTEGER, DIMENSION(1) :: MONITOR
  CHARACTER(LEN=32), DIMENSION(1) :: SMASS
  CHARACTER(LEN=100), PARAMETER, DIMENSION(30) :: EQN_NAMES_0 = (/ &
     '   Hg0 + Br --> PHg2 + PHg2Br + HgBr                                                                ', & ! index 1
     '       HgBr --> PHg0 + Hg0                                                                          ', & ! index 2
     '  HgBr + Br --> PHg0 + Hg0                                                                          ', & ! index 3
     ' HgBr + NO2 --> PHg0 + Hg0                                                                          ', & ! index 4
     ' HgBr + NO2 --> HgBrNO2                                                                             ', & ! index 5
     ' HgBr + HO2 --> HgBrHO2                                                                             ', & ! index 6
     ' HgBr + ClO --> HgBrClO                                                                             ', & ! index 7
     ' HgBr + BrO --> HgBrBrO                                                                             ', & ! index 8
     '  HgBr + OH --> HgBrOH                                                                              ', & ! index 9
     '  HgBr + Br --> HgBr2                                                                               ', & ! index 10
     'HgBrO + CH4 --> HgBrOH                                                                              ', & ! index 11
     ' HgBrO + CO --> HgBr                                                                                ', & ! index 12
     '  HgBr + O3 --> HgBrO                                                                               ', & ! index 13
     '   Hg0 + Cl --> PHg2 + PHg2Cl + HgCl                                                                ', & ! index 14
     '  HgCl + Cl --> PHg0 + Hg0                                                                          ', & ! index 15
     ' HgCl + NO2 --> PHg0 + Hg0                                                                          ', & ! index 16
     ' HgCl + NO2 --> HgClNO2                                                                             ', & ! index 17
     ' HgCl + HO2 --> HgClHO2                                                                             ', & ! index 18
     ' HgCl + ClO --> HgClClO                                                                             ', & ! index 19
     ' HgCl + BrO --> HgClBrO                                                                             ', & ! index 20
     '  HgCl + Br --> HgClBr                                                                              ', & ! index 21
     '  HgCl + OH --> HgClOH                                                                              ', & ! index 22
     '  HgCl + O3 --> HgClO                                                                               ', & ! index 23
     'HgClO + CH4 --> HgClOH                                                                              ', & ! index 24
     ' HgClO + CO --> HgCl                                                                                ', & ! index 25
     '   Hg0 + OH --> PHg2 + PHg2OH + HgOH                                                                ', & ! index 26
     '       HgOH --> PHg0 + Hg0                                                                          ', & ! index 27
     ' HgOH + NO2 --> HgOHNO2                                                                             ', & ! index 28
     ' HgOH + HO2 --> HgOHHO2                                                                             ', & ! index 29
     ' HgOH + ClO --> HgOHClO                                                                             ' /) ! index up to 30
  CHARACTER(LEN=100), PARAMETER, DIMENSION(30) :: EQN_NAMES_1 = (/ &
     ' HgOH + BrO --> HgOHBrO                                                                             ', & ! index 31
     '  HgOH + Br --> PHg2Br + HgBrOH                                                                     ', & ! index 32
     '  HgOH + OH --> HgOHOH                                                                              ', & ! index 33
     '  HgOH + O3 --> HgOHO                                                                               ', & ! index 34
     'HgOHO + CH4 --> HgOHOH                                                                              ', & ! index 35
     ' HgOHO + CO --> HgOH                                                                                ', & ! index 36
     '    HgBrNO2 --> Hg2ORGP                                                                             ', & ! index 37
     '    HgBrHO2 --> Hg2ORGP                                                                             ', & ! index 38
     '     HgBrOH --> Hg2ORGP                                                                             ', & ! index 39
     '    HgBrBrO --> Hg2ORGP                                                                             ', & ! index 40
     '    HgBrClO --> Hg2ORGP                                                                             ', & ! index 41
     '      HgBr2 --> Hg2ORGP                                                                             ', & ! index 42
     '    HgClNO2 --> Hg2ORGP                                                                             ', & ! index 43
     '    HgClHO2 --> Hg2ORGP                                                                             ', & ! index 44
     '     HgClOH --> Hg2ORGP                                                                             ', & ! index 45
     '    HgClBrO --> Hg2ORGP                                                                             ', & ! index 46
     '    HgClClO --> Hg2ORGP                                                                             ', & ! index 47
     '     HgClBr --> Hg2ORGP                                                                             ', & ! index 48
     '      HgCl2 --> Hg2ORGP                                                                             ', & ! index 49
     '    HgOHNO2 --> Hg2ORGP                                                                             ', & ! index 50
     '    HgOHHO2 --> Hg2ORGP                                                                             ', & ! index 51
     '     HgOHOH --> Hg2ORGP                                                                             ', & ! index 52
     '    HgOHBrO --> Hg2ORGP                                                                             ', & ! index 53
     '    HgOHClO --> Hg2ORGP                                                                             ', & ! index 54
     '    HgBrNO2 --> Hg2ClP                                                                              ', & ! index 55
     '    HgBrHO2 --> Hg2ClP                                                                              ', & ! index 56
     '     HgBrOH --> Hg2ClP                                                                              ', & ! index 57
     '    HgBrBrO --> Hg2ClP                                                                              ', & ! index 58
     '    HgBrClO --> Hg2ClP                                                                              ', & ! index 59
     '      HgBr2 --> Hg2ClP                                                                              ' /) ! index up to 60
  CHARACTER(LEN=100), PARAMETER, DIMENSION(30) :: EQN_NAMES_2 = (/ &
     '    HgClNO2 --> Hg2ClP                                                                              ', & ! index 61
     '    HgClHO2 --> Hg2ClP                                                                              ', & ! index 62
     '     HgClOH --> Hg2ClP                                                                              ', & ! index 63
     '    HgClBrO --> Hg2ClP                                                                              ', & ! index 64
     '    HgClClO --> Hg2ClP                                                                              ', & ! index 65
     '     HgClBr --> Hg2ClP                                                                              ', & ! index 66
     '    HgOHNO2 --> Hg2ClP                                                                              ', & ! index 67
     '    HgOHHO2 --> Hg2ClP                                                                              ', & ! index 68
     '     HgOHOH --> Hg2ClP                                                                              ', & ! index 69
     '    HgOHBrO --> Hg2ClP                                                                              ', & ! index 70
     '    HgOHClO --> Hg2ClP                                                                              ', & ! index 71
     '        NO2 --> NO + O3                                                                             ', & ! index 72
     '        BrO --> Br + O3                                                                             ', & ! index 73
     '        ClO --> Cl + O3                                                                             ', & ! index 74
     '       HgBr --> PHg0 + Hg0 + Br                                                                     ', & ! index 75
     '    HgBrNO2 --> 0.9 HgBrO + 0.1 HgBr + 0.1 NO2 + 0.9 NO                                             ', & ! index 76
     '    HgBrHO2 --> 0.67 PHg0 + 0.25 HgBrO + 0.67 Hg0 + 0.01 HgBrOH + 0.07 HgBr + 0.67 Br + 0.26... etc.', & ! index 77
     '     HgBrOH --> 0.49 PHg0 + 0.35 PHg2OH + 0.35 HgOH + 0.49 Hg0 + 0.01 HgBrOH + 0.15 HgBr + 0... etc.', & ! index 78
     '      HgBr2 --> 0.4 PHg0 + 0.4 Hg0 + 0.6 HgBr + 1.4 Br                                              ', & ! index 79
     '    HgBrBrO --> PHg0 + Hg0 + BrO                                                                    ', & ! index 80
     '    HgBrClO --> PHg0 + Hg0 + Br + Cl                                                                ', & ! index 81
     '    HgClNO2 --> 0.9 HgClO + 0.1 HgCl + 0.1 NO2 + 0.9 NO                                             ', & ! index 82
     '    HgClHO2 --> 0.67 PHg0 + 0.25 HgClO + 0.01 HgClOH + 0.07 HgCl + 0.67 Hg0 + 0.67 Cl + 0.26... etc.', & ! index 83
     '     HgClOH --> 0.49 PHg0 + 0.35 PHg2OH + 0.01 HgClOH + 0.15 HgCl + 0.35 HgOH + 0.49 Hg0 + 0... etc.', & ! index 84
     '     HgClBr --> HgCl + Br                                                                           ', & ! index 85
     '    HgClBrO --> HgCl + BrO                                                                          ', & ! index 86
     '    HgClClO --> HgCl + ClO                                                                          ', & ! index 87
     '       HgOH --> PHg0 + Hg0 + OH                                                                     ', & ! index 88
     '    HgOHNO2 --> 0.9 HgOHO + 0.1 HgOH + 0.1 NO2 + 0.9 NO                                             ', & ! index 89
     '    HgOHHO2 --> 0.67 PHg0 + 0.25 HgOHO + 0.01 HgOHOH + 0.07 HgOH + 0.67 Hg0 + 0.67 Cl + 0.26... etc.' /) ! index up to 90
  CHARACTER(LEN=100), PARAMETER, DIMENSION(4) :: EQN_NAMES_3 = (/ &
     '     HgOHOH --> PHg0 + Hg0 + 2 OH                                                                   ', & ! index 91
     '    HgOHBrO --> HgOH + BrO                                                                          ', & ! index 92
     '    HgOHClO --> HgOH + ClO                                                                          ', & ! index 93
     '    Hg2ORGP --> PHg0 + Hg0                                                                          ' /) ! index up to 94
  CHARACTER(LEN=100), PARAMETER, DIMENSION(94) :: EQN_NAMES = (/&
    EQN_NAMES_0, EQN_NAMES_1, EQN_NAMES_2, EQN_NAMES_3 /)

  CHARACTER(LEN=32), PARAMETER, DIMENSION(5) :: FAM_NAMES = (/ &
     'PHg2                            ','PHg0                            ','PHg2Br                          ', & ! index 1 - 3
     'PHg2OH                          ','PHg2Cl                          ' /) ! index up to 5

! INLINED global variables

! End INLINED global variables


END MODULE gckpp_Monitor
