! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
! 
! Parameter Module File
! 
! Generated by KPP-2.5.0 symbolic chemistry Kinetics PreProcessor
!       (https:/github.com/KineticPreProcessor/KPP
! KPP is distributed under GPL, the general public licence
!       (http://www.gnu.org/copyleft/gpl.html)
! (C) 1995-1997, V. Damian & A. Sandu, CGRER, Univ. Iowa
! (C) 1997-2005, A. Sandu, Michigan Tech, Virginia Tech
!     With important contributions from:
!        M. Damian,   Villanova University, USA
!        R. Sander,   Max-Planck Institute for Chemistry, Mainz, Germany
!        M. Long,     Harvard University, USA
!        H. Lin,      Harvard University, USA
!        R. Yantosca, Harvard University, USA
! 
! File                 : gckpp_Parameters.F90
! Equation file        : gckpp.kpp
! Output root filename : gckpp
! 
! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~



MODULE gckpp_Parameters

  USE gckpp_Precision
  PUBLIC
  SAVE


! NSPEC - Number of chemical species
  INTEGER, PARAMETER :: NSPEC = 291 
! NVAR - Number of Variable species
  INTEGER, PARAMETER :: NVAR = 287 
! NFLUX - Number of Reaction Flux species
  INTEGER, PARAMETER :: NFLUX = 1 
! NFAM - Number of Prod/Loss Families
  INTEGER, PARAMETER :: NFAM = 7 
! NVARACT - Number of Active species
  INTEGER, PARAMETER :: NVARACT = 259 
! NFIX - Number of Fixed species
  INTEGER, PARAMETER :: NFIX = 4 
! NREACT - Number of reactions
  INTEGER, PARAMETER :: NREACT = 913 
! NVARST - Starting of variables in conc. vect.
  INTEGER, PARAMETER :: NVARST = 1 
! NFIXST - Starting of fixed in conc. vect.
  INTEGER, PARAMETER :: NFIXST = 288 
! NONZERO - Number of nonzero entries in Jacobian
  INTEGER, PARAMETER :: NONZERO = 3486 
! LU_NONZERO - Number of nonzero entries in LU factoriz. of Jacobian
  INTEGER, PARAMETER :: LU_NONZERO = 4579 
! CNVAR - (NVAR+1) Number of elements in compressed row format
  INTEGER, PARAMETER :: CNVAR = 288 
! NLOOKAT - Number of species to look at
  INTEGER, PARAMETER :: NLOOKAT = 0 
! NMONITOR - Number of species to monitor
  INTEGER, PARAMETER :: NMONITOR = 0 
! NMASS - Number of atoms to check mass balance
  INTEGER, PARAMETER :: NMASS = 1 

! Index declaration for variable species in C and VAR
!   VAR(ind_spc) = C(ind_spc)

  INTEGER, PARAMETER :: ind_CH2I2 = 1 
  INTEGER, PARAMETER :: ind_CH2IBr = 2 
  INTEGER, PARAMETER :: ind_CH2ICl = 3 
  INTEGER, PARAMETER :: ind_AERI = 4 
  INTEGER, PARAMETER :: ind_AONITA = 5 
  INTEGER, PARAMETER :: ind_CO2 = 6 
  INTEGER, PARAMETER :: ind_INDIOL = 7 
  INTEGER, PARAMETER :: ind_ISALA = 8 
  INTEGER, PARAMETER :: ind_ISALC = 9 
  INTEGER, PARAMETER :: ind_LBRO2H = 10 
  INTEGER, PARAMETER :: ind_LBRO2N = 11 
  INTEGER, PARAMETER :: ind_BRO2 = 12 
  INTEGER, PARAMETER :: ind_LISOPOH = 13 
  INTEGER, PARAMETER :: ind_LISOPNO3 = 14 
  INTEGER, PARAMETER :: ind_LNRO2H = 15 
  INTEGER, PARAMETER :: ind_LNRO2N = 16 
  INTEGER, PARAMETER :: ind_NRO2 = 17 
  INTEGER, PARAMETER :: ind_NAP = 18 
  INTEGER, PARAMETER :: ind_LTRO2H = 19 
  INTEGER, PARAMETER :: ind_LTRO2N = 20 
  INTEGER, PARAMETER :: ind_TRO2 = 21 
  INTEGER, PARAMETER :: ind_LVOCOA = 22 
  INTEGER, PARAMETER :: ind_LVOC = 23 
  INTEGER, PARAMETER :: ind_LXRO2H = 24 
  INTEGER, PARAMETER :: ind_LXRO2N = 25 
  INTEGER, PARAMETER :: ind_XRO2 = 26 
  INTEGER, PARAMETER :: ind_MSA = 27 
  INTEGER, PARAMETER :: ind_SO4s = 28 
  INTEGER, PARAMETER :: ind_SOAGX = 29 
  INTEGER, PARAMETER :: ind_SOAIE = 30 
  INTEGER, PARAMETER :: ind_POx = 31 
  INTEGER, PARAMETER :: ind_LOx = 32 
  INTEGER, PARAMETER :: ind_PCO = 33 
  INTEGER, PARAMETER :: ind_LCO = 34 
  INTEGER, PARAMETER :: ind_PSO4 = 35 
  INTEGER, PARAMETER :: ind_LCH4 = 36 
  INTEGER, PARAMETER :: ind_PH2O2 = 37 
  INTEGER, PARAMETER :: ind_I2O4 = 38 
  INTEGER, PARAMETER :: ind_CH3CCl3 = 39 
  INTEGER, PARAMETER :: ind_I2O2 = 40 
  INTEGER, PARAMETER :: ind_MONITA = 41 
  INTEGER, PARAMETER :: ind_CFC114 = 42 
  INTEGER, PARAMETER :: ind_CH3I = 43 
  INTEGER, PARAMETER :: ind_H1301 = 44 
  INTEGER, PARAMETER :: ind_H2402 = 45 
  INTEGER, PARAMETER :: ind_CFC115 = 46 
  INTEGER, PARAMETER :: ind_I2O3 = 47 
  INTEGER, PARAMETER :: ind_CFC113 = 48 
  INTEGER, PARAMETER :: ind_PPN = 49 
  INTEGER, PARAMETER :: ind_BrNO2 = 50 
  INTEGER, PARAMETER :: ind_CCl4 = 51 
  INTEGER, PARAMETER :: ind_CFC11 = 52 
  INTEGER, PARAMETER :: ind_CFC12 = 53 
  INTEGER, PARAMETER :: ind_C2H2 = 54 
  INTEGER, PARAMETER :: ind_H1211 = 55 
  INTEGER, PARAMETER :: ind_INO = 56 
  INTEGER, PARAMETER :: ind_N2O = 57 
  INTEGER, PARAMETER :: ind_NIT = 58 
  INTEGER, PARAMETER :: ind_NITs = 59 
  INTEGER, PARAMETER :: ind_BENZ = 60 
  INTEGER, PARAMETER :: ind_N = 61 
  INTEGER, PARAMETER :: ind_OCS = 62 
  INTEGER, PARAMETER :: ind_PAN = 63 
  INTEGER, PARAMETER :: ind_ETHN = 64 
  INTEGER, PARAMETER :: ind_HI = 65 
  INTEGER, PARAMETER :: ind_MAP = 66 
  INTEGER, PARAMETER :: ind_BZCO3H = 67 
  INTEGER, PARAMETER :: ind_CHCl3 = 68 
  INTEGER, PARAMETER :: ind_IBr = 69 
  INTEGER, PARAMETER :: ind_CH2Br2 = 70 
  INTEGER, PARAMETER :: ind_MPN = 71 
  INTEGER, PARAMETER :: ind_Cl2O2 = 72 
  INTEGER, PARAMETER :: ind_CH2Cl2 = 73 
  INTEGER, PARAMETER :: ind_CHBr3 = 74 
  INTEGER, PARAMETER :: ind_C2H4 = 75 
  INTEGER, PARAMETER :: ind_TOLU = 76 
  INTEGER, PARAMETER :: ind_XYLE = 77 
  INTEGER, PARAMETER :: ind_HCFC123 = 78 
  INTEGER, PARAMETER :: ind_HCFC141b = 79 
  INTEGER, PARAMETER :: ind_HCFC142b = 80 
  INTEGER, PARAMETER :: ind_HCFC22 = 81 
  INTEGER, PARAMETER :: ind_DMS = 82 
  INTEGER, PARAMETER :: ind_HMHP = 83 
  INTEGER, PARAMETER :: ind_HMML = 84 
  INTEGER, PARAMETER :: ind_HMS = 85 
  INTEGER, PARAMETER :: ind_IPRNO3 = 86 
  INTEGER, PARAMETER :: ind_MENO3 = 87 
  INTEGER, PARAMETER :: ind_ETNO3 = 88 
  INTEGER, PARAMETER :: ind_NPRNO3 = 89 
  INTEGER, PARAMETER :: ind_OIO = 90 
  INTEGER, PARAMETER :: ind_R4P = 91 
  INTEGER, PARAMETER :: ind_RA3P = 92 
  INTEGER, PARAMETER :: ind_RB3P = 93 
  INTEGER, PARAMETER :: ind_RP = 94 
  INTEGER, PARAMETER :: ind_BZPAN = 95 
  INTEGER, PARAMETER :: ind_IONITA = 96 
  INTEGER, PARAMETER :: ind_CH3Br = 97 
  INTEGER, PARAMETER :: ind_ICl = 98 
  INTEGER, PARAMETER :: ind_BALD = 99 
  INTEGER, PARAMETER :: ind_CH3Cl = 100 
  INTEGER, PARAMETER :: ind_HNO4 = 101 
  INTEGER, PARAMETER :: ind_ETO = 102 
  INTEGER, PARAMETER :: ind_ClOO = 103 
  INTEGER, PARAMETER :: ind_PYAC = 104 
  INTEGER, PARAMETER :: ind_BENZP = 105 
  INTEGER, PARAMETER :: ind_IDC = 106 
  INTEGER, PARAMETER :: ind_OClO = 107 
  INTEGER, PARAMETER :: ind_SO4 = 108 
  INTEGER, PARAMETER :: ind_ETP = 109 
  INTEGER, PARAMETER :: ind_CSL = 110 
  INTEGER, PARAMETER :: ind_PP = 111 
  INTEGER, PARAMETER :: ind_PRPN = 112 
  INTEGER, PARAMETER :: ind_ALK4 = 113 
  INTEGER, PARAMETER :: ind_ETHP = 114 
  INTEGER, PARAMETER :: ind_IEPOXD = 115 
  INTEGER, PARAMETER :: ind_MVKDH = 116 
  INTEGER, PARAMETER :: ind_HPALD2OO = 117 
  INTEGER, PARAMETER :: ind_PHEN = 118 
  INTEGER, PARAMETER :: ind_PIP = 119 
  INTEGER, PARAMETER :: ind_HPALD1OO = 120 
  INTEGER, PARAMETER :: ind_C3H8 = 121 
  INTEGER, PARAMETER :: ind_IDCHP = 122 
  INTEGER, PARAMETER :: ind_INA = 123 
  INTEGER, PARAMETER :: ind_Br2 = 124 
  INTEGER, PARAMETER :: ind_HPALD3 = 125 
  INTEGER, PARAMETER :: ind_HPALD4 = 126 
  INTEGER, PARAMETER :: ind_IEPOXA = 127 
  INTEGER, PARAMETER :: ind_IEPOXB = 128 
  INTEGER, PARAMETER :: ind_EOH = 129 
  INTEGER, PARAMETER :: ind_MCRDH = 130 
  INTEGER, PARAMETER :: ind_HONIT = 131 
  INTEGER, PARAMETER :: ind_BrCl = 132 
  INTEGER, PARAMETER :: ind_MACR1OOH = 133 
  INTEGER, PARAMETER :: ind_MP = 134 
  INTEGER, PARAMETER :: ind_SALCAL = 135 
  INTEGER, PARAMETER :: ind_IHN2 = 136 
  INTEGER, PARAMETER :: ind_IHN3 = 137 
  INTEGER, PARAMETER :: ind_MCT = 138 
  INTEGER, PARAMETER :: ind_I2 = 139 
  INTEGER, PARAMETER :: ind_IDHDP = 140 
  INTEGER, PARAMETER :: ind_C4HVP1 = 141 
  INTEGER, PARAMETER :: ind_C4HVP2 = 142 
  INTEGER, PARAMETER :: ind_IDNOO = 143 
  INTEGER, PARAMETER :: ind_SALAAL = 144 
  INTEGER, PARAMETER :: ind_AROMP5 = 145 
  INTEGER, PARAMETER :: ind_ICNOO = 146 
  INTEGER, PARAMETER :: ind_INPD = 147 
  INTEGER, PARAMETER :: ind_ISOPNOO2 = 148 
  INTEGER, PARAMETER :: ind_MPAN = 149 
  INTEGER, PARAMETER :: ind_MTPA = 150 
  INTEGER, PARAMETER :: ind_MTPO = 151 
  INTEGER, PARAMETER :: ind_MVKPC = 152 
  INTEGER, PARAMETER :: ind_RIPA = 153 
  INTEGER, PARAMETER :: ind_ROH = 154 
  INTEGER, PARAMETER :: ind_AROMP4 = 155 
  INTEGER, PARAMETER :: ind_BENZO = 156 
  INTEGER, PARAMETER :: ind_C2H6 = 157 
  INTEGER, PARAMETER :: ind_RIPB = 158 
  INTEGER, PARAMETER :: ind_IDHPE = 159 
  INTEGER, PARAMETER :: ind_MCRENOL = 160 
  INTEGER, PARAMETER :: ind_RIPD = 161 
  INTEGER, PARAMETER :: ind_ISOPNOO1 = 162 
  INTEGER, PARAMETER :: ind_IDHNDOO2 = 163 
  INTEGER, PARAMETER :: ind_IDHNDOO1 = 164 
  INTEGER, PARAMETER :: ind_LIMO = 165 
  INTEGER, PARAMETER :: ind_MVKHC = 166 
  INTEGER, PARAMETER :: ind_RIPC = 167 
  INTEGER, PARAMETER :: ind_HPETHNL = 168 
  INTEGER, PARAMETER :: ind_N2O5 = 169 
  INTEGER, PARAMETER :: ind_ICHE = 170 
  INTEGER, PARAMETER :: ind_MCRHNB = 171 
  INTEGER, PARAMETER :: ind_BrNO3 = 172 
  INTEGER, PARAMETER :: ind_H = 173 
  INTEGER, PARAMETER :: ind_MONITS = 174 
  INTEGER, PARAMETER :: ind_ETOO = 175 
  INTEGER, PARAMETER :: ind_BZCO3 = 176 
  INTEGER, PARAMETER :: ind_INPB = 177 
  INTEGER, PARAMETER :: ind_AROMRO2 = 178 
  INTEGER, PARAMETER :: ind_IHPOO1 = 179 
  INTEGER, PARAMETER :: ind_IHPOO2 = 180 
  INTEGER, PARAMETER :: ind_MVKHCB = 181 
  INTEGER, PARAMETER :: ind_HPALD1 = 182 
  INTEGER, PARAMETER :: ind_IHPOO3 = 183 
  INTEGER, PARAMETER :: ind_HPALD2 = 184 
  INTEGER, PARAMETER :: ind_IHPNDOO = 185 
  INTEGER, PARAMETER :: ind_CH4 = 186 
  INTEGER, PARAMETER :: ind_BENZO2 = 187 
  INTEGER, PARAMETER :: ind_HNO2 = 188 
  INTEGER, PARAMETER :: ind_HC5A = 189 
  INTEGER, PARAMETER :: ind_ICHOO = 190 
  INTEGER, PARAMETER :: ind_CH3CHOO = 191 
  INTEGER, PARAMETER :: ind_Cl2 = 192 
  INTEGER, PARAMETER :: ind_ATOOH = 193 
  INTEGER, PARAMETER :: ind_PROPNN = 194 
  INTEGER, PARAMETER :: ind_MCRHN = 195 
  INTEGER, PARAMETER :: ind_MONITU = 196 
  INTEGER, PARAMETER :: ind_PRN1 = 197 
  INTEGER, PARAMETER :: ind_R4N2 = 198 
  INTEGER, PARAMETER :: ind_IONO = 199 
  INTEGER, PARAMETER :: ind_MVKOHOO = 200 
  INTEGER, PARAMETER :: ind_MCROHOO = 201 
  INTEGER, PARAMETER :: ind_ICPDH = 202 
  INTEGER, PARAMETER :: ind_MACR1OO = 203 
  INTEGER, PARAMETER :: ind_PO2 = 204 
  INTEGER, PARAMETER :: ind_ETHLN = 205 
  INTEGER, PARAMETER :: ind_NPHEN = 206 
  INTEGER, PARAMETER :: ind_HCOOH = 207 
  INTEGER, PARAMETER :: ind_H2O2 = 208 
  INTEGER, PARAMETER :: ind_ITCN = 209 
  INTEGER, PARAMETER :: ind_IHN4 = 210 
  INTEGER, PARAMETER :: ind_OLNN = 211 
  INTEGER, PARAMETER :: ind_OLND = 212 
  INTEGER, PARAMETER :: ind_ETO2 = 213 
  INTEGER, PARAMETER :: ind_MOH = 214 
  INTEGER, PARAMETER :: ind_ACTA = 215 
  INTEGER, PARAMETER :: ind_IHN1 = 216 
  INTEGER, PARAMETER :: ind_IHPNBOO = 217 
  INTEGER, PARAMETER :: ind_GLYX = 218 
  INTEGER, PARAMETER :: ind_ACET = 219 
  INTEGER, PARAMETER :: ind_ISOP = 220 
  INTEGER, PARAMETER :: ind_LIMO2 = 221 
  INTEGER, PARAMETER :: ind_MEK = 222 
  INTEGER, PARAMETER :: ind_IO = 223 
  INTEGER, PARAMETER :: ind_IEPOXBOO = 224 
  INTEGER, PARAMETER :: ind_IEPOXAOO = 225 
  INTEGER, PARAMETER :: ind_MVKHP = 226 
  INTEGER, PARAMETER :: ind_MCRHP = 227 
  INTEGER, PARAMETER :: ind_MGLY = 228 
  INTEGER, PARAMETER :: ind_IDHNBOO = 229 
  INTEGER, PARAMETER :: ind_CH2OO = 230 
  INTEGER, PARAMETER :: ind_ClNO2 = 231 
  INTEGER, PARAMETER :: ind_GLYC = 232 
  INTEGER, PARAMETER :: ind_A3O2 = 233 
  INTEGER, PARAMETER :: ind_PIO2 = 234 
  INTEGER, PARAMETER :: ind_OTHRO2 = 235 
  INTEGER, PARAMETER :: ind_ICN = 236 
  INTEGER, PARAMETER :: ind_MVKN = 237 
  INTEGER, PARAMETER :: ind_ITHN = 238 
  INTEGER, PARAMETER :: ind_IDN = 239 
  INTEGER, PARAMETER :: ind_INO2B = 240 
  INTEGER, PARAMETER :: ind_INO2D = 241 
  INTEGER, PARAMETER :: ind_IHOO1 = 242 
  INTEGER, PARAMETER :: ind_IHOO4 = 243 
  INTEGER, PARAMETER :: ind_MVK = 244 
  INTEGER, PARAMETER :: ind_MACRNO2 = 245 
  INTEGER, PARAMETER :: ind_HAC = 246 
  INTEGER, PARAMETER :: ind_MACR = 247 
  INTEGER, PARAMETER :: ind_ATO2 = 248 
  INTEGER, PARAMETER :: ind_KO2 = 249 
  INTEGER, PARAMETER :: ind_RCO3 = 250 
  INTEGER, PARAMETER :: ind_R4N1 = 251 
  INTEGER, PARAMETER :: ind_R4O2 = 252 
  INTEGER, PARAMETER :: ind_B3O2 = 253 
  INTEGER, PARAMETER :: ind_PRPE = 254 
  INTEGER, PARAMETER :: ind_RCHO = 255 
  INTEGER, PARAMETER :: ind_HOBr = 256 
  INTEGER, PARAMETER :: ind_MCO3 = 257 
  INTEGER, PARAMETER :: ind_CO = 258 
  INTEGER, PARAMETER :: ind_ClNO3 = 259 
  INTEGER, PARAMETER :: ind_HNO3 = 260 
  INTEGER, PARAMETER :: ind_ALD2 = 261 
  INTEGER, PARAMETER :: ind_CH2O = 262 
  INTEGER, PARAMETER :: ind_MO2 = 263 
  INTEGER, PARAMETER :: ind_HOI = 264 
  INTEGER, PARAMETER :: ind_I = 265 
  INTEGER, PARAMETER :: ind_IONO2 = 266 
  INTEGER, PARAMETER :: ind_HOCl = 267 
  INTEGER, PARAMETER :: ind_O1D = 268 
  INTEGER, PARAMETER :: ind_O3 = 269 
  INTEGER, PARAMETER :: ind_NO2 = 270 
  INTEGER, PARAMETER :: ind_HCl = 271 
  INTEGER, PARAMETER :: ind_HBr = 272 
  INTEGER, PARAMETER :: ind_H2O = 273 
  INTEGER, PARAMETER :: ind_BrO = 274 
  INTEGER, PARAMETER :: ind_BrSALA = 275 
  INTEGER, PARAMETER :: ind_BrSALC = 276 
  INTEGER, PARAMETER :: ind_ClO = 277 
  INTEGER, PARAMETER :: ind_SALACL = 278 
  INTEGER, PARAMETER :: ind_OH = 279 
  INTEGER, PARAMETER :: ind_NO = 280 
  INTEGER, PARAMETER :: ind_HO2 = 281 
  INTEGER, PARAMETER :: ind_SALCCL = 282 
  INTEGER, PARAMETER :: ind_NO3 = 283 
  INTEGER, PARAMETER :: ind_O = 284 
  INTEGER, PARAMETER :: ind_Cl = 285 
  INTEGER, PARAMETER :: ind_SO2 = 286 
  INTEGER, PARAMETER :: ind_Br = 287 

! Index declaration for fixed species in C
!   C(ind_spc)

  INTEGER, PARAMETER :: ind_H2 = 288 
  INTEGER, PARAMETER :: ind_N2 = 289 
  INTEGER, PARAMETER :: ind_O2 = 290 
  INTEGER, PARAMETER :: ind_RCOOH = 291 

! Index declaration for fixed species in FIX
!    FIX(indf_spc) = C(ind_spc) = C(NVAR+indf_spc)

  INTEGER, PARAMETER :: indf_H2 = 1 
  INTEGER, PARAMETER :: indf_N2 = 2 
  INTEGER, PARAMETER :: indf_O2 = 3 
  INTEGER, PARAMETER :: indf_RCOOH = 4 

END MODULE gckpp_Parameters

